> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ticketstatus

> Ticket status values - Open, Closed, Inactive, Deleted, Connected and Spam (if enabled).

## "ticketstatus" MDO List

Ticket status values: Open, Closed, Inactive, Deleted, Connected and Spam (if enabled).

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TicketStatusProvider">TicketStatusProvider</see> class.
The name of the MDO list is 'ticketstatus'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/ticketstatus
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("ticketstatus", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name      | StyleHint | ExtraInfo |
| -- | --------- | --------- | --------- |
| 1  | Open      |           | Active    |
| 2  | Closed    |           | Closed    |
| 3  | Postponed |           | Postponed |
| 4  | Deleted   |           | Deleted   |
| 5  | Merged    |           | Merged    |

## Related MDO Lists

* "ticketstatusheadings"
* "ticketstatusheadingswithallitem"
* "ticketstatusheadingswithallitemwithnoselection"
* "ticketstatusheadingswithnoselection"
* "ticketstatuswithallitem"
* "ticketstatuswithallitemwithnoselection"
* "ticketstatuswithnoselection"


## Related topics

- [ticketstatustimecounter](/en/api/mdo-providers/reference/ticketstatustimecounter.md)
- [ticketstatuswithoutpostpone](/en/api/mdo-providers/reference/ticketstatuswithoutpostpone.md)
- [ticketstatuswithpostpone](/en/api/mdo-providers/reference/ticketstatuswithpostpone.md)
- [Enum TicketStatusTimeCounter](/en/automation/crmscript/reference/CRMScript.NetServer.TicketStatusTimeCounter.md)
- [Enum values for TicketStatusTimeCounter](/en/database/tables/enums/ticketstatustimecounter.md)
- [SuperOffice.WebApi.Data.TicketStatusEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketStatusEntity.md)
